import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;
import javax.xml.transform.TransformerFactory;
import javax.xml.transform.Transformer;
import javax.xml.transform.stream.StreamSource;
import javax.xml.transform.stream.StreamResult;

public class main_basic extends HttpServlet {

    public void doGet(HttpServletRequest request, 
					  HttpServletResponse response)
    throws IOException, ServletException
    {
        response.setContentType("text/html");
        PrintWriter out = response.getWriter();

		try {
		   //Set source files
           String XMLFileName = "http://localhost/content.xml";
		   StreamSource source = new StreamSource(XMLFileName);
		   
           String XSLFileName = "http://localhost/style1.xsl";
	       StreamSource style = new StreamSource(XSLFileName);	
           
		   //Designate that the result goes to the browser;
		   //StreamResult takes a Writer object.
		   StreamResult result = new StreamResult(out);
	
           //Create the XSL processor
		   TransformerFactory transFactory = TransformerFactory.newInstance();
           Transformer transformer = transFactory.newTransformer(style);
	   
           //Transform the document
		   transformer.transform(source, result);
   
		} catch (Exception e) {
			out.print(e.getMessage());
			e.printStackTrace();
		}
	}
}
